=== debian/changelog ===
lomiri-docviewer-app (3.0.1+git20230127.ab13dca+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1030026).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 15:31:03 +0100
