=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  repacksuffix=+dfsg, dversionmangle=s/\+dfsg//, pretty=3.0.1+git%cd.%h" \
https://gitlab.com/ubports/development/apps/lomiri-docviewer-app \
HEAD debian uupdate
