## lomiri-docviewer-app 3.0.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-docviewer-app VERSION 3.0.1 LANGUAGES CXX)
+project(lomiri-docviewer-app VERSION 3.0.2 LANGUAGES CXX)
 
 set(MANIFEST_PATH "click/manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
@@ -25,21 +25,23 @@
 set(SPLASH_FILE         docviewer-app-splash.svg)
 set(AUTOPILOT_DIR       lomiri_docviewer_app)
 
+if(CLICK_MODE)
 # Find out the architecture for package building
 # to determine the plugin's installation path
-execute_process(
-  COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH
-  OUTPUT_VARIABLE ARCH_TRIPLET
-  OUTPUT_STRIP_TRAILING_WHITESPACE
-)
-execute_process(
-  COMMAND dpkg-architecture -qDEB_HOST_ARCH
-  OUTPUT_VARIABLE CLICK_ARCH
-  OUTPUT_STRIP_TRAILING_WHITESPACE
-)
+    execute_process(
+      COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH
+      OUTPUT_VARIABLE ARCH_TRIPLET
+      OUTPUT_STRIP_TRAILING_WHITESPACE
+    )
+    execute_process(
+      COMMAND dpkg-architecture -qDEB_HOST_ARCH
+      OUTPUT_VARIABLE CLICK_ARCH
+      OUTPUT_STRIP_TRAILING_WHITESPACE
+    )
+endif(CLICK_MODE)
 
 if(NOT CLICK_MODE)
-    install(FILES lomiri-docviewer-app.1 DESTINATION "${MANDIR}/man1")
+    install(FILES lomiri-docviewer-app.1 DESTINATION "${CMAKE_INSTALL_FULL_MANDIR}/man1")
 endif(NOT CLICK_MODE)
 
 include(Click)
