=== debian/changelog ===
lomiri-docviewer-app (3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/patches:
     + Drop patches 1001, 1002, 1003 and 2000. All applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 21:13:39 +0100
