=== debian/changelog ===
lomiri-docviewer-app (3.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Translation updates.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 14:57:09 +0100
