=== debian/control ===
Source: lomiri-docviewer-app
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               debhelper-compat (=13),
               libpoppler-qt5-dev,
               libreofficekit-dev,
               pkg-config,
               python3-all,
               qtbase5-dev (>= 5.4.0),
               qtchooser,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qml-module-qtquick2,
               qtdeclarative5-private-dev,
               qtbase5-private-dev,
               qml-module-qttest,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-docviewer-app
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-docviewer-app/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-docviewer-app.git

Package: lomiri-docviewer-app
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         suru-icon-theme (>= 14.04+15.10.20150707-0ubuntu1),
         qml-module-qtquick2,
         qml-module-lomiri-components,
         qml-module-lomiri-layouts,
         qml-module-lomiri-content,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         libreoffice-vanilla (>= 5.0.0) | libreoffice (>= 5.0.0),
Description: Document Viewer App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Document Viewer App.
