=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DCLICK_MODE=OFF

override_dh_install:
	dh_install

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
