## lomiri-docviewer-app 3.0.4%2Bdfsg

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -49,3 +49,5 @@
 else()
   install(TARGETS lomiri-docviewer-app RUNTIME DESTINATION bin)
 endif()
+
+install(PROGRAMS lomiri-docviewer-app-migrate.py DESTINATION ${DATA_DIR})
