=== src/plugin/CMakeLists.txt ===
add_subdirectory(file-qml-plugin)
add_subdirectory(poppler-qml-plugin)
add_subdirectory(libreofficetoolkit-qml-plugin)
