=== debian/changelog ===
lomiri-docviewer-app (3.0.4+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:56:09 +1100

lomiri-docviewer-app (3.0.4+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:44:24 +0000

lomiri-docviewer-app (3.0.4+dfsg-2) unstable; urgency=medium

  * debian/patches:
    + Add patch files 0001, 0002 and 0003. Fix missing desktop icon and missing
      splash screen.
  * debian/control:
    + Switch from pkg-config to pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Feb 2024 10:09:01 +0100

lomiri-docviewer-app (3.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/rules:
    + Don'ship lomiri-docviewer-app-migrate.py in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 23:37:07 +0100
