=== src/CMakeLists.txt ===
add_subdirectory(app)
add_subdirectory(plugin)
