=== debian/changelog ===
lomiri-docviewer-app (3.0.4+dfsg-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

  [ Guido Berhoerster ]
  * debian/patches:
    + Add patch 0004 from upstream in order to fix i18n.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Apr 2024 12:28:28 +0200
