=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper-compat (=13),
                libpoppler-qt5-dev,
                libreofficekit-dev,
-               pkg-config,
+               pkgconf,
                python3-all,
                qtbase5-dev (>= 5.4.0),
                qtchooser,
