## lomiri-docviewer-app 3.1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-docviewer-app VERSION 3.0.4 LANGUAGES CXX)
+project(lomiri-docviewer-app VERSION 3.1.0 LANGUAGES CXX)
 
 set(MANIFEST_PATH "click/manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
@@ -16,12 +16,11 @@
 option(CLICK_MODE       "Installs to a contained location" on)
 option(NO_CACHE         "Disable caching of click dependencies (CLICK_MODE only)" off)
 
-set(DEFAULT_ROOT "/opt/click.ubuntu.com" CACHE PATH "Default click package root path")
 set(LIBREOFFICE_INCLUDE_DIR "" CACHE PATH "Custom LibreOfficeKit include directory")
 
 set(APP_NAME            lomiri-docviewer-app)
 set(DESKTOP_FILE        "${PROJECT_NAME}.desktop")
-set(ICON_FILE           docviewer-app.png)
+set(ICON_FILE           docviewer-app.svg)
 set(SPLASH_FILE         docviewer-app-splash.svg)
 set(AUTOPILOT_DIR       lomiri_docviewer_app)
 
@@ -46,11 +45,20 @@
 
 include(Click)
 
+find_package(Qt5Core REQUIRED)
+find_package(Qt5Concurrent REQUIRED)
+find_package(Qt5Gui REQUIRED)
+find_package(Qt5Qml REQUIRED)
+find_package(Qt5Quick REQUIRED)
+find_package(Qt5Xml REQUIRED)
+
 # Tests
-enable_testing()
+include(CTest)
 
 add_subdirectory(po)
 add_subdirectory(click)
 add_subdirectory(data)
 add_subdirectory(src)
-add_subdirectory(tests)
+if(BUILD_TESTING)
+    add_subdirectory(tests)
+endif()
