=== data/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
   install(FILES ${ICON_FILE} DESTINATION ${DATA_DIR})
   install(FILES ${SPLASH_FILE} DESTINATION ${DATA_DIR})
 else(CLICK_MODE)
-  set(ICON "${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE}")
+  set(ICON "${DATA_DIR}/${ICON_FILE}")
+  set(SPLASH "${DATA_DIR}/${SPLASH_FILE}")
   set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
   set(EXEC "${APP_NAME}")
 
-  install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons
-    FILES_MATCHING PATTERN *.png
-  )
+  install(FILES ${ICON_FILE} DESTINATION ${DATA_DIR})
+  install(FILES ${SPLASH_FILE} DESTINATION ${DATA_DIR})
 endif(CLICK_MODE)
 
 set(TRYEXEC "${APP_NAME}")
