=== src/plugin/libreofficetoolkit-qml-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,4 @@
 set(PLUGIN_DIR DocumentViewer/LibreOffice)
-
-find_package(Qt5Core)
-find_package(Qt5Gui)
-find_package(Qt5Qml)
-find_package(Qt5Quick)
 
 file(GLOB_RECURSE QML_SRCS
     qml/*.qml
@@ -44,7 +39,11 @@
 )
 
 #target_link_libraries(libreofficetoolkitqmlplugin dl)
-qt5_use_modules(libreofficetoolkitqmlplugin Gui Qml Quick)
+target_link_libraries(libreofficetoolkitqmlplugin
+    Qt5::Gui
+    Qt5::Qml
+    Qt5::Quick
+)
 
 # Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
