=== debian/changelog ===
lomiri-docviewer-app (3.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/patches:
    + Drop patches 0001, 0002, 0003, and 0004. All applied upstream.
    + Drop 2001_no-unit-tests.patch. Tests can be disabled via CMake option now.
  * debian/rules:
    + Disable unit tests.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Sep 2024 21:25:23 +0200
