=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,12 @@
 	dh_missing --fail-missing
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCLICK_MODE=OFF
+	dh_auto_configure -- -DCLICK_MODE=OFF -DBUILD_TESTING=OFF
 
 override_dh_install:
 	dh_install
+	# not needed in Debian, Ubuntu Touch specific script
+	rm debian/lomiri-docviewer-app/usr/share/lomiri-docviewer-app/lomiri-docviewer-app-migrate.py
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
