## lomiri-docviewer-app 3.1.1%2Bdfsg

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
   install(FILES ${ICON_FILE} DESTINATION ${DATA_DIR})
   install(FILES ${SPLASH_FILE} DESTINATION ${DATA_DIR})
 else(CLICK_MODE)
-  set(ICON "${DATA_DIR}/${ICON_FILE}")
+  set(ICON "${APP_NAME}")
   set(SPLASH "${DATA_DIR}/${SPLASH_FILE}")
   set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
   set(EXEC "${APP_NAME}")
 
-  install(FILES ${ICON_FILE} DESTINATION ${DATA_DIR})
+  install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps" RENAME "${ICON}.svg")
   install(FILES ${SPLASH_FILE} DESTINATION ${DATA_DIR})
 endif(CLICK_MODE)
