=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                qtdeclarative5-private-dev,
                qtbase5-private-dev,
                qml-module-qttest,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-docviewer-app
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-docviewer-app/
