## lomiri-docviewer-app 3.1.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-docviewer-app VERSION 3.1.0 LANGUAGES CXX)
+project(lomiri-docviewer-app VERSION 3.1.1 LANGUAGES CXX)
 
 set(MANIFEST_PATH "click/manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
@@ -16,6 +16,7 @@
 option(CLICK_MODE       "Installs to a contained location" on)
 option(NO_CACHE         "Disable caching of click dependencies (CLICK_MODE only)" off)
 
+set(LIBREOFFICE_PREFIX "/usr" CACHE PATH "LibreOffice prefix (which contains 'lib/libreoffice/program')")
 set(LIBREOFFICE_INCLUDE_DIR "" CACHE PATH "Custom LibreOfficeKit include directory")
 
 set(APP_NAME            lomiri-docviewer-app)
