=== click/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,9 @@
   configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json @ONLY)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION ${CMAKE_INSTALL_PREFIX})
   install(FILES docviewer.apparmor docviewer-content.json lomiri-docviewer-app.url-dispatcher DESTINATION ${CMAKE_INSTALL_PREFIX})
+else(CLICK_MODE)
+  install(FILES docviewer-content.json DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers RENAME lomiri-docviewer-app)
+  install(FILES lomiri-docviewer-app.url-dispatcher DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
 endif(CLICK_MODE)
