=== src/plugin/libreofficetoolkit-qml-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,12 @@
 file(GLOB_RECURSE QML_SRCS
     qml/*.qml
     qml/*.js
+)
+
+configure_file(
+    config.h.in
+    ${CMAKE_CURRENT_BINARY_DIR}/config.h
+    @ONLY
 )
 
 include_directories(
@@ -29,8 +35,8 @@
 #add the headers to compile
 set(libreofficetoolkitqmlplugin_HDRS
     twips.h
-    config.h
     loerror.h
+    ${CMAKE_CURRENT_BINARY_DIR}/config.h
 )
 
 add_library(libreofficetoolkitqmlplugin MODULE
