=== debian/changelog ===
lomiri-docviewer-app (3.1.1+dfsg-4) unstable; urgency=medium

  * debian/patches:
    + Add 2001_hide-app-if-not-in-lomiri.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 16:41:23 +0200

lomiri-docviewer-app (3.1.1+dfsg-3) unstable; urgency=medium

  * debian/control:
    + Revert: Exclude architectures hurd-any (FTBFS, not supported) and
      mip64el (missing libreoffice dependency).
    + Add to B-D: libreoffice. Also adding libreoffice to B-D assures
      that libreoffice is available for the target architecture we build
      for. If it is unavailable, buildd.debian.org will react with
      BD-Uninstallable rather than Britney blocking unstable -> testing
      migration due to the missing libreoffice runtime dependency.
      .
      This remedies failing lomiri-docviewer-app testing migration due to
      libreoffice missing for some rare architecture (mips64el
      currently). (Closes: #1102111).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Apr 2025 14:40:55 +0200

lomiri-docviewer-app (3.1.1+dfsg-2) REJECTED; urgency=medium

  * debian/control:
    + Exclude architectures hurd-any (FTBFS, not supported) and mip64el
      (missing libreoffice dependency). (Closes: #1102111).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Apr 2025 11:02:54 +0200

lomiri-docviewer-app (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Mar 2025 08:19:24 +0100
