=== debian/control ===
--- 
+++ 
@@ -18,6 +18,14 @@
                qtdeclarative5-private-dev,
                qtbase5-private-dev,
                qml-module-qttest,
+# Also adding libreoffice to B-D to assure that libreoffice is available for the
+# target architecture we build for. If it is unavailable, buildd.debian.org will
+# react with BD-Uninstallable rather than Britney blocking unstable -> testing
+# migration due to the missing libreoffice runtime dependency.
+#
+# This remedies failing lomiri-docviewer-app testing migration due to libreoffice
+# missing for some rare architecture (mips64el currently).
+               libreoffice,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-docviewer-app
